ObjectStoreGraphDiff (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access, class: ObjectStoreGraphDiff

# Class ObjectStoreGraphDiff

java.lang.Object
org.apache.cayenne.access.ObjectStoreGraphDiff

All Implemented Interfaces:
  `Serializable, GraphDiff`

public class ObjectStoreGraphDiff extends Object implements GraphDiff
A GraphDiff facade for the ObjectStore changes. Provides a way for the lower layers of the access stack to speed up processing of presorted ObjectStore diffs.

Since:
  1.2
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(GraphChangeHandler handler)`
  Calls appropriate methods on the handler to "replay" this change.
  `Map<Object, ObjectDiff>`
  `getChangesByObjectId()`
  `boolean`
  `isNoop()`
  Returns true if this diff is simply a placeholder and does not perform any actual operation.
  `void`
  `undo(GraphChangeHandler handler)`
  Calls appropriate methods on the handler to revert this change.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getChangesByObjectId

    public Map<Object, ObjectDiff> getChangesByObjectId()

  - ### isNoop

    public boolean isNoop()
    Description copied from interface: `GraphDiff`
    Returns true if this diff is simply a placeholder and does not perform any actual operation.
    Specified by:
      `isNoop` in interface `GraphDiff`

  - ### apply

    public void apply(GraphChangeHandler handler)
    Description copied from interface: `GraphDiff`
    Calls appropriate methods on the handler to "replay" this change.
    Specified by:
      `apply` in interface `GraphDiff`

  - ### undo

    public void undo(GraphChangeHandler handler)
    Description copied from interface: `GraphDiff`
    Calls appropriate methods on the handler to revert this change.
    Specified by:
      `undo` in interface `GraphDiff`